#
# spec file for package gap-json
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-json
Version:        2.2.1
Release:        1.1
Summary:        GAP: Package for reading and writing JSON
License:        BSD-2-Clause
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/json/
#Git-Clone:     https://github.com/gap-packages/json
Source:         https://github.com/gap-packages/json/releases/download/v%version/json-%version.tar.gz
BuildRequires:  c++_compiler
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12
Requires:       gap-gapdoc >= 1.5

%description
Enhances GAP by the ability to read and write JSON files.

%prep
%autosetup -n json-%version

%build
./configure "%gapdir"
%make_build

%install
%gappkg_simple_install
pushd "%buildroot/$fmoddir/"
find src -type f ! -name LICENSE -delete
popd

%files -f %name.files

%changelog
* Thu Apr 25 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.2.1
  * Internal cleanups for new GAP versions
* Wed Feb 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.2.0
  * Speed up the outputting of JSON
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.1.1
  * Fix GC bug in JsonStringToGap, which would lead to spurious
    break loops.
  * Fix the ordering used when outputting records
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2.0.0
  * No changelog was provided
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 1.2.0
  * No changelog available
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 1.1.0
  * No changelog was provided
* Fri Mar 11 2016 jengelh@inai.de
- Initial package (version 1.0.1) for build.opensuse.org
